CREATE TABLE atc_prod_offer_rels (
    PROD_OFFER_REL_ID        NUMBER(18, 0) ,
    PROD_OFFER_REL_PUID      VARCHAR2(120) ,
    PROD_OFFER_REL_NAME      VARCHAR2(800) ,
    REL_TYPE_CODE            VARCHAR2(800) ,
    ROLE                     VARCHAR2(800) ,
    PROD_OFFER_ID            NUMBER(18, 0) ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    VERSION_STATE            NUMBER(2, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    PROD_OFFER_REL_ID        NUMBER(18, 0) ,
    PROD_OFFER_REL_PUID      VARCHAR2(120) ,
    PROD_OFFER_REL_NAME      VARCHAR2(800) ,
    REL_TYPE_CODE            VARCHAR2(800) ,
    ROLE                     VARCHAR2(800) ,
    PROD_OFFER_ID            NUMBER(18, 0) ,
    START_DATE_TIME          TIMESTAMP(6)  ,
    END_DATE_TIME            TIMESTAMP(6)  ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    VERSION_STATE            NUMBER(2, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_prod_offer_rels PRIMARY KEY (PROD_OFFER_REL_ID, PROD_OFFER_REL_ID)
);
